<template>
  <q-card class="">
    <img src="https://cdn.quasar.dev/img/mountains.jpg" />

    <q-card-actions align="center">
      <q-btn flat color="brown" icon="mail" />
      <q-btn flat color="brown" icon="favorite_border" />
      <q-btn flat color="brown" icon="" />
      <q-btn flat color="brown" icon="" />
      <q-btn flat color="brown" icon="delete_forever" />
    </q-card-actions>
    <q-card-section>
      <div class="text-subtitle2">{{ stage }}</div>
      <div class="text-h6">
        <span v-for="(member, index) in members" :key="index"
          >{{ member.name }}
          <span v-if="index + 1 < members.length">, </span>
        </span>
      </div>
      {{ adults }} adults {{ underage }} menors
    </q-card-section>
    <q-card-section>
      {{ descriptionShort }}
    </q-card-section>
  </q-card>
</template>

<script setup>
import { ProfileStore } from 'src/stores/profileStore'
import { storeToRefs } from 'pinia'

const profile = ProfileStore()
const { descriptionShort, members, stage, underage, adults } = storeToRefs(
  profile
)
</script>

<style lang="scss" scoped></style>
